function Create(self)
	self.scex = SceneMan.SceneWidth;
	self.scey = SceneMan.SceneHeight;
	self.scrx = 66;
	self.scry = 42;
	self.scrposx = self.Pos.X - self.scrx / 2;
	self.scrposy = self.Pos.Y - self.scry / 2;
end

function Update(self)
	self.screen = CreateMOPixel("Screen Glow","Minimap.rte");
	local posx = self.Pos.X * self.scrx / self.scex;
	local posy = self.Pos.Y * self.scry / self.scey;
	self.screen.Pos.X = self.scrposx + posx;
	self.screen.Pos.Y = self.scrposy + posy;
	MovableMan:AddParticle(self.screen);
	
	for actor in MovableMan.Actors do
		if actor.ClassName == "ACRocket" or actor.ClassName == "ACDropShip" then
			if actor.Team ~= self.Team then
				self.craft = CreateMOPixel("Red Craft Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.craft.Pos.X = self.scrposx + posx;
				self.craft.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.craft);
			else
				self.craft = CreateMOPixel("Green Craft Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.craft.Pos.X = self.scrposx + posx;
				self.craft.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.craft);
			end
		elseif actor:IsInGroup("Brains") == true then
			if actor.Team ~= self.Team then
				self.brain = CreateMOPixel("Red Brain Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.brain.Pos.X = self.scrposx + posx;
				self.brain.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.brain);
			else
				self.brain = CreateMOPixel("Green Brain Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.brain.Pos.X = self.scrposx + posx;
				self.brain.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.brain);
			end
		else
			if actor.Team ~= self.Team then
				self.actor = CreateMOPixel("Red Actor Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.actor.Pos.X = self.scrposx + posx;
				self.actor.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.actor);
			else
				self.actor = CreateMOPixel("Green Actor Glow","Minimap.rte");
				local posx = actor.Pos.X * self.scrx / self.scex;
				local posy = actor.Pos.Y * self.scry / self.scey;
				self.actor.Pos.X = self.scrposx + posx;
				self.actor.Pos.Y = self.scrposy + posy;
				MovableMan:AddParticle(self.actor);
			end
		end
	end
end
